"Cron <root@FooBar> test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily" - Help

This is a discussion on "Cron <root@FooBar> test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily" - Help ; Hello. How come I keep getting these e-mail with cron errors daily? I have been getting them for over a month and daily (Sundays -- I get two e-mails): From root@localhost.loca ldomain Sat Jun 17 06:26:17 2006 Return-path: root@localhost.loca ldomain ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: "Cron <root@FooBar> test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily"

  1. "Cron <root@FooBar> test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily"

    Hello.

    How come I keep getting these e-mail with cron errors daily? I have been getting them for over a month and daily
    (Sundays -- I get two e-mails):

    From root@localhost.localdomain Sat Jun 17 06:26:17 2006
    Return-path: root@localhost.localdomain
    Envelope-to: root@localhost.localdomain
    Delivery-date: Sat, 17 Jun 2006 06:26:17 -0700
    Received: from root by localhost.localdomain with local (Exim 4.62)
    (envelope-from )
    id 1FraoZ-0000IV-Vb
    for root@localhost.localdomain; Sat, 17 Jun 2006 06:26:17 -0700
    From: Cron Daemon
    To: root@localhost.localdomain
    Subject: Cron test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily
    X-Cron-Env:
    X-Cron-Env:
    X-Cron-Env:
    X-Cron-Env:
    Message-Id:
    Date: Sat, 17 Jun 2006 06:26:17 -0700

    /etc/cron.daily/man-db:
    mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    mandb: warning: /usr/share/man/man3/XauGetBestAuthByAddr.3x.gz: bad symlink or ROFF `.so' request
    mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    mandb: warning: /usr/share/man/man3/XauFileName.3x.gz: bad symlink or ROFF `.so' request
    mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    mandb: warning: /usr/share/man/man3/XauGetAuthByAddr.3x.gz: bad symlink or ROFF `.so' request
    mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    mandb: warning: /usr/share/man/man3/XauDisposeAuth.3x.gz: bad symlink or ROFF `.so' request
    mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    mandb: warning: /usr/share/man/man3/XauLockAuth.3x.gz: bad symlink or ROFF `.so' request
    mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    mandb: warning: /usr/share/man/man3/XauReadAuth.3x.gz: bad symlink or ROFF `.so' request
    mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    mandb: warning: /usr/share/man/man3/XauWriteAuth.3x.gz: bad symlink or ROFF `.so' request
    mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    mandb: warning: /usr/share/man/man3/XauUnlockAuth.3x.gz: bad symlink or ROFF `.so' request

    I don't have a /usr/share/man/man3x/ directory. I viewed the man-db:

    $ cat /etc/cron.daily/man-db
    #!/bin/sh
    #
    # man-db cron daily

    set -e

    if ! [ -d /var/cache/man ]; then
    # Recover from deletion, per FHS.
    mkdir -p /var/cache/man
    chown man:root /var/cache/man
    chmod 2755 /var/cache/man
    fi

    # expunge old catman pages which have not been read in a week
    if [ -d /var/cache/man ]; then
    cd /
    if ! dpkg-statoverride --list /var/cache/man >/dev/null 2>&1; then
    chown -R man /var/cache/man || true # just in case
    fi
    start-stop-daemon --start --pidfile /dev/null --startas /bin/sh \
    --oknodo --chuid man -- -c \
    "find /var/cache/man -type f -name '*.gz' -atime +6 -print0 | \
    xargs -r0 rm -f"
    fi

    # regenerate man database
    if [ -x /usr/bin/mandb ]; then
    # --pidfile /dev/null so it always starts; mandb isn't really a daemon,
    # but we want to start it like one.
    start-stop-daemon --start --pidfile /dev/null \
    --startas /usr/bin/mandb --oknodo --chuid man \
    -- --no-purge --quiet
    fi

    exit 0


    How do I fix this? I am using Debian (Linux FooBar 2.6.14-2-k7 #1 Wed Dec 28 19:14:46 UTC 2005 i686 GNU/Linux) Thank you in advance.
    --
    "... Our world is not an ant farm!" --Duncan MacLeod (Highlander Season 3 Finale Part II)
    /\___/\
    / /\ /\ \ Phillip (Ant) @ http://antfarm.ma.cx (Personal Web Site)
    | |o o| | Ant's Quality Foraged Links (AQFL): http://aqfl.net
    \ _ / Please remove ANT if replying by e-mail.
    ( )

  2. Re: "Cron <root@FooBar> test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily"


    wrote in message
    news:9ZWdnUxFzvMi1wnZnZ2dnUVZ_qidnZ2d@mminternet.n et...
    > Hello.
    >
    > How come I keep getting these e-mail with cron errors daily? I have been
    > getting them for over a month and daily
    > (Sundays -- I get two e-mails):


    Look for a file that has a symlink, or a file that has the contents ".so
    man3x/" in /usr/share/man and /usr/X11R6/man.

    What do you get when you type "man Xau", or do a "locate /Xau | grep man"?

    > From root@localhost.localdomain Sat Jun 17 06:26:17 2006
    > Return-path: root@localhost.localdomain
    > Envelope-to: root@localhost.localdomain
    > Delivery-date: Sat, 17 Jun 2006 06:26:17 -0700
    > Received: from root by localhost.localdomain with local (Exim 4.62)
    > (envelope-from )
    > id 1FraoZ-0000IV-Vb
    > for root@localhost.localdomain; Sat, 17 Jun 2006 06:26:17 -0700
    > From: Cron Daemon
    > To: root@localhost.localdomain
    > Subject: Cron test -x /usr/sbin/anacron ||
    > run-parts --report /etc/cron.daily
    > X-Cron-Env:
    > X-Cron-Env:
    >
    > X-Cron-Env:
    > X-Cron-Env:
    > Message-Id:
    > Date: Sat, 17 Jun 2006 06:26:17 -0700
    >
    > /etc/cron.daily/man-db:
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauGetBestAuthByAddr.3x.gz: bad
    > symlink or ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauFileName.3x.gz: bad symlink or ROFF
    > `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauGetAuthByAddr.3x.gz: bad symlink or
    > ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauDisposeAuth.3x.gz: bad symlink or
    > ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauLockAuth.3x.gz: bad symlink or ROFF
    > `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauReadAuth.3x.gz: bad symlink or ROFF
    > `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauWriteAuth.3x.gz: bad symlink or
    > ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauUnlockAuth.3x.gz: bad symlink or
    > ROFF `.so' request
    >
    > I don't have a /usr/share/man/man3x/ directory. I viewed the man-db:
    >
    > $ cat /etc/cron.daily/man-db
    > #!/bin/sh
    > #
    > # man-db cron daily
    >
    > set -e
    >
    > if ! [ -d /var/cache/man ]; then
    > # Recover from deletion, per FHS.
    > mkdir -p /var/cache/man
    > chown man:root /var/cache/man
    > chmod 2755 /var/cache/man
    > fi
    >
    > # expunge old catman pages which have not been read in a week
    > if [ -d /var/cache/man ]; then
    > cd /
    > if ! dpkg-statoverride --list /var/cache/man >/dev/null 2>&1; then
    > chown -R man /var/cache/man || true # just in case
    > fi
    > start-stop-daemon --start --pidfile /dev/null --startas /bin/sh \
    > --oknodo --chuid man -- -c \
    > "find /var/cache/man -type f -name '*.gz' -atime +6 -print0 | \
    > xargs -r0 rm -f"
    > fi
    >
    > # regenerate man database
    > if [ -x /usr/bin/mandb ]; then
    > # --pidfile /dev/null so it always starts; mandb isn't really a daemon,
    > # but we want to start it like one.
    > start-stop-daemon --start --pidfile /dev/null \
    > --startas /usr/bin/mandb --oknodo --chuid man \
    > -- --no-purge --quiet
    > fi
    >
    > exit 0
    >
    >
    > How do I fix this? I am using Debian (Linux FooBar 2.6.14-2-k7 #1 Wed Dec
    > 28 19:14:46 UTC 2005 i686 GNU/Linux) Thank you in advance.
    > --
    > "... Our world is not an ant farm!" --Duncan MacLeod (Highlander Season 3
    > Finale Part II)
    > /\___/\
    > / /\ /\ \ Phillip (Ant) @ http://antfarm.ma.cx (Personal Web Site)
    > | |o o| | Ant's Quality Foraged Links (AQFL): http://aqfl.net
    > \ _ / Please remove ANT if replying by e-mail.
    > ( )




  3. Re: "Cron <root@FooBar> test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily"

    > > How come I keep getting these e-mail with cron errors daily? I have been
    > > getting them for over a month and daily
    > > (Sundays -- I get two e-mails):


    > Look for a file that has a symlink, or a file that has the contents ".so
    > man3x/" in /usr/share/man and /usr/X11R6/man.


    Is there an easier way to do this with command or scripts? There's a lot to dig through manually:
    $ ls -all
    total 452
    drwxr-xr-x 39 root root 4096 May 27 14:55 .
    drwxr-xr-x 217 root root 4096 Jun 14 22:27 ..
    drwxr-xr-x 2 root root 4096 May 26 16:13 cat1
    drwxr-xr-x 6 root root 4096 Sep 26 2005 cs
    drwxr-xr-x 5 root root 4096 May 17 2005 de
    drwxr-xr-x 6 root root 4096 Oct 22 2005 es
    drwxr-xr-x 4 root root 4096 Jan 6 15:55 fi
    drwxr-xr-x 6 root root 4096 Sep 11 2005 fr
    drwxr-xr-x 3 root root 4096 May 17 15:01 fr.ISO8859-1
    drwxr-xr-x 3 root root 4096 May 17 15:01 fr.UTF-8
    drwxr-xr-x 3 root root 4096 Jun 5 2005 gl
    drwxr-xr-x 5 root root 4096 Jan 6 15:55 hu
    drwxr-xr-x 4 root root 4096 Jun 5 2005 id
    drwxr-xr-x 5 root root 4096 Jun 5 2005 it
    drwxr-xr-x 3 root root 4096 May 17 15:01 it.ISO8859-1
    drwxr-xr-x 3 root root 4096 May 17 15:01 it.UTF-8
    drwxr-xr-x 5 root root 4096 Jan 4 2005 ja
    drwxr-xr-x 5 root root 4096 Jan 6 15:55 ko
    drwxr-xr-x 2 root root 49152 Jun 16 15:55 man1
    drwxr-xr-x 2 root root 20480 Jun 8 15:10 man2
    drwxr-xr-x 2 root root 143360 Jun 16 15:52 man3
    drwxr-xr-x 2 root root 4096 Jun 8 15:10 man4
    drwxr-xr-x 2 root root 8192 Jun 16 15:52 man5
    drwxr-xr-x 2 root root 12288 Jun 8 15:10 man6
    drwxr-xr-x 2 root root 8192 Jun 12 15:18 man7
    drwxr-xr-x 2 root root 12288 Jun 15 15:21 man8
    drwxr-xr-x 2 root root 65536 Jun 8 15:10 man9
    drwxr-xr-x 5 root root 4096 May 17 2005 pl
    drwxr-xr-x 3 root root 4096 May 17 15:01 pl.ISO8859-2
    drwxr-xr-x 3 root root 4096 May 17 15:01 pl.UTF-8
    drwxr-xr-x 5 root root 4096 May 17 2005 pt_BR
    -rw-r--r-- 1 root root 5162 Jun 7 2005 q
    drwxr-xr-x 6 root root 4096 Dec 8 2005 ru
    drwxr-xr-x 3 root root 4096 May 17 15:01 ru.KOI8-R
    drwxr-xr-x 3 root root 4096 May 17 15:01 ru.UTF-8
    drwxr-xr-x 4 root root 4096 Jun 8 2005 sr
    drwxr-xr-x 5 root root 4096 May 26 2005 sv
    drwxr-xr-x 5 root root 4096 Jan 6 15:55 tr
    drwxr-xr-x 5 root root 4096 Jan 6 15:55 zh_CN
    drwxr-xr-x 5 root root 4096 Jan 6 15:55 zh_TW
    $ du
    2000 ./man8
    108 ./pl/man8
    176 ./pl/man1
    40 ./pl/man5
    328 ./pl
    8576 ./man1
    508 ./man7
    232 ./fr/man8
    504 ./fr/man1
    80 ./fr/man5
    32 ./fr/man7
    852 ./fr
    36 ./pt_BR/man8
    20 ./pt_BR/man1
    32 ./pt_BR/man5
    92 ./pt_BR
    9188 ./man3
    960 ./man5
    148 ./de/man1
    12 ./de/man5
    36 ./de/man8
    200 ./de
    292 ./es/man1
    40 ./es/man5
    68 ./es/man8
    16 ./es/man7
    420 ./es
    96 ./ja/man1
    32 ./ja/man5
    116 ./ja/man8
    248 ./ja
    160 ./ru/man1
    36 ./ru/man5
    88 ./ru/man8
    16 ./ru/man7
    304 ./ru
    8 ./sv/man1
    24 ./sv/man5
    8 ./sv/man8
    44 ./sv
    96 ./hu/man1
    8 ./hu/man8
    20 ./hu/man5
    128 ./hu
    12 ./id/man1
    8 ./id/man8
    24 ./id
    148 ./it/man1
    104 ./it/man8
    28 ./it/man5
    284 ./it
    20 ./ko/man1
    8 ./ko/man5
    12 ./ko/man8
    44 ./ko
    52 ./man2
    20 ./cs/man5
    72 ./cs/man8
    8 ./cs/man7
    16 ./cs/man1
    120 ./cs
    44 ./sr/man1
    4 ./sr/man8
    52 ./sr
    40 ./fr.UTF-8/man1
    44 ./fr.UTF-8
    20 ./zh_CN/man1
    32 ./zh_CN/man8
    8 ./zh_CN/man5
    64 ./zh_CN
    40 ./it.UTF-8/man1
    44 ./it.UTF-8
    12 ./fi/man8
    20 ./fi/man1
    36 ./fi
    8 ./gl/man8
    12 ./gl
    844 ./man6
    920 ./man4
    72 ./man9
    32 ./tr/man8
    24 ./tr/man1
    12 ./tr/man5
    72 ./tr
    40 ./fr.ISO8859-1/man1
    44 ./fr.ISO8859-1
    20 ./zh_TW/man1
    32 ./zh_TW/man8
    8 ./zh_TW/man5
    64 ./zh_TW
    40 ./it.ISO8859-1/man1
    44 ./it.ISO8859-1
    40 ./pl.ISO8859-2/man1
    44 ./pl.ISO8859-2
    40 ./pl.UTF-8/man1
    44 ./pl.UTF-8
    40 ./ru.KOI8-R/man1
    44 ./ru.KOI8-R
    40 ./ru.UTF-8/man1
    44 ./ru.UTF-8
    4 ./cat1
    26876

    $ ls -all /usr/X11R6/man
    ls: /usr/X11R6/man: No such file or directory
    $ du /usr/X11R6/man
    du: cannot access `/usr/X11R6/man': No such file or directory
    $ ls -all /usr/X11R6/
    total 16
    drwxr-xr-x 4 root root 4096 Jun 12 15:17 .
    drwxr-xr-x 12 root root 4096 Dec 20 10:25 ..
    lrwxrwxrwx 1 root root 6 Jun 12 15:17 bin -> ../bin
    drwxr-xr-x 3 root root 4096 Apr 26 22:32 include
    drwxr-xr-x 4 root root 4096 May 23 20:45 lib
    $ du /usr/X11R6/
    8 /usr/X11R6/include/X11/pixmaps
    12 /usr/X11R6/include/X11
    16 /usr/X11R6/include
    8 /usr/X11R6/lib/X11/fonts/encodings/large
    16 /usr/X11R6/lib/X11/fonts/encodings
    4 /usr/X11R6/lib/X11/fonts/util
    1892 /usr/X11R6/lib/X11/fonts/misc
    76 /usr/X11R6/lib/X11/fonts/100dpi
    76 /usr/X11R6/lib/X11/fonts/75dpi
    20 /usr/X11R6/lib/X11/fonts/Speedo
    20 /usr/X11R6/lib/X11/fonts/Type1
    2112 /usr/X11R6/lib/X11/fonts
    2116 /usr/X11R6/lib/X11
    4 /usr/X11R6/lib/modules/drivers
    4 /usr/X11R6/lib/modules/extensions
    12 /usr/X11R6/lib/modules
    2492 /usr/X11R6/lib
    2512 /usr/X11R6/


    > What do you get when you type "man Xau", or do a "locate /Xau | grep man"?


    $ man Xau
    Reformatting Xau(3x), please wait...
    Xau(3) Xau(3)

    NAME
    Xau library: XauFileName, XauReadAuth, XauLockAuth, XauUnlockAuth, XauWriteAuth, XauDisposeAuth,
    XauGetAuthByAddr, XauGetBestAuthByAddr - X authority database routines

    SYNOPSIS
    #include
    ....


    $ locate /Xau | grep man
    /usr/share/man/man3/Xau.3x.gz
    /usr/share/man/man3/XauDisposeAuth.3x.gz
    /usr/share/man/man3/XauFileName.3x.gz
    /usr/share/man/man3/XauGetAuthByAddr.3x.gz
    /usr/share/man/man3/XauGetBestAuthByAddr.3x.gz
    /usr/share/man/man3/XauLockAuth.3x.gz
    /usr/share/man/man3/XauReadAuth.3x.gz
    /usr/share/man/man3/XauUnlockAuth.3x.gz
    /usr/share/man/man3/XauWriteAuth.3x.gz


    > > /etc/cron.daily/man-db:
    > > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > > mandb: warning: /usr/share/man/man3/XauGetBestAuthByAddr.3x.gz: bad
    > > symlink or ROFF `.so' request
    > > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > > mandb: warning: /usr/share/man/man3/XauFileName.3x.gz: bad symlink or ROFF
    > > `.so' request
    > > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > > mandb: warning: /usr/share/man/man3/XauGetAuthByAddr.3x.gz: bad symlink or
    > > ROFF `.so' request
    > > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > > mandb: warning: /usr/share/man/man3/XauDisposeAuth.3x.gz: bad symlink or
    > > ROFF `.so' request
    > > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > > mandb: warning: /usr/share/man/man3/XauLockAuth.3x.gz: bad symlink or ROFF
    > > `.so' request
    > > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > > mandb: warning: /usr/share/man/man3/XauReadAuth.3x.gz: bad symlink or ROFF
    > > `.so' request
    > > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > > mandb: warning: /usr/share/man/man3/XauWriteAuth.3x.gz: bad symlink or
    > > ROFF `.so' request
    > > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > > mandb: warning: /usr/share/man/man3/XauUnlockAuth.3x.gz: bad symlink or
    > > ROFF `.so' request
    > >
    > > I don't have a /usr/share/man/man3x/ directory. I viewed the man-db:
    > >
    > > $ cat /etc/cron.daily/man-db
    > > #!/bin/sh
    > > #
    > > # man-db cron daily
    > >
    > > set -e
    > >
    > > if ! [ -d /var/cache/man ]; then
    > > # Recover from deletion, per FHS.
    > > mkdir -p /var/cache/man
    > > chown man:root /var/cache/man
    > > chmod 2755 /var/cache/man
    > > fi
    > >
    > > # expunge old catman pages which have not been read in a week
    > > if [ -d /var/cache/man ]; then
    > > cd /
    > > if ! dpkg-statoverride --list /var/cache/man >/dev/null 2>&1; then
    > > chown -R man /var/cache/man || true # just in case
    > > fi
    > > start-stop-daemon --start --pidfile /dev/null --startas /bin/sh \
    > > --oknodo --chuid man -- -c \
    > > "find /var/cache/man -type f -name '*.gz' -atime +6 -print0 | \
    > > xargs -r0 rm -f"
    > > fi
    > >
    > > # regenerate man database
    > > if [ -x /usr/bin/mandb ]; then
    > > # --pidfile /dev/null so it always starts; mandb isn't really a daemon,
    > > # but we want to start it like one.
    > > start-stop-daemon --start --pidfile /dev/null \
    > > --startas /usr/bin/mandb --oknodo --chuid man \
    > > -- --no-purge --quiet
    > > fi
    > >
    > > exit 0
    > >
    > >
    > > How do I fix this? I am using Debian (Linux FooBar 2.6.14-2-k7 #1 Wed Dec
    > > 28 19:14:46 UTC 2005 i686 GNU/Linux) Thank you in advance.

    --
    "... Our world is not an ant farm!" --Duncan MacLeod (Highlander Season 3 Finale Part II)
    /\___/\
    / /\ /\ \ Phillip (Ant) @ http://antfarm.ma.cx (Personal Web Site)
    | |o o| | Ant's Quality Foraged Links (AQFL): http://aqfl.net
    \ _ / Please remove ANT if replying by e-mail.
    ( )

  4. Re: "Cron <root@FooBar> test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily"


    It appears that this is a Debian bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=366500 (old one too). I
    guess I will have to wait.


    > Hello.


    > How come I keep getting these e-mail with cron errors daily? I have been getting them for over a month and daily
    > (Sundays -- I get two e-mails):


    > From root@localhost.localdomain Sat Jun 17 06:26:17 2006
    > Return-path: root@localhost.localdomain
    > Envelope-to: root@localhost.localdomain
    > Delivery-date: Sat, 17 Jun 2006 06:26:17 -0700
    > Received: from root by localhost.localdomain with local (Exim 4.62)
    > (envelope-from )
    > id 1FraoZ-0000IV-Vb
    > for root@localhost.localdomain; Sat, 17 Jun 2006 06:26:17 -0700
    > From: Cron Daemon
    > To: root@localhost.localdomain
    > Subject: Cron test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily
    > X-Cron-Env:
    > X-Cron-Env:
    > X-Cron-Env:
    > X-Cron-Env:
    > Message-Id:
    > Date: Sat, 17 Jun 2006 06:26:17 -0700


    > /etc/cron.daily/man-db:
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauGetBestAuthByAddr.3x.gz: bad symlink or ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauFileName.3x.gz: bad symlink or ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauGetAuthByAddr.3x.gz: bad symlink or ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauDisposeAuth.3x.gz: bad symlink or ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauLockAuth.3x.gz: bad symlink or ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauReadAuth.3x.gz: bad symlink or ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauWriteAuth.3x.gz: bad symlink or ROFF `.so' request
    > mandb: can't open /usr/share/man/man3x/Xau.3x: No such file or directory
    > mandb: warning: /usr/share/man/man3/XauUnlockAuth.3x.gz: bad symlink or ROFF `.so' request


    > I don't have a /usr/share/man/man3x/ directory. I viewed the man-db:


    > $ cat /etc/cron.daily/man-db
    > #!/bin/sh
    > #
    > # man-db cron daily


    > set -e


    > if ! [ -d /var/cache/man ]; then
    > # Recover from deletion, per FHS.
    > mkdir -p /var/cache/man
    > chown man:root /var/cache/man
    > chmod 2755 /var/cache/man
    > fi


    > # expunge old catman pages which have not been read in a week
    > if [ -d /var/cache/man ]; then
    > cd /
    > if ! dpkg-statoverride --list /var/cache/man >/dev/null 2>&1; then
    > chown -R man /var/cache/man || true # just in case
    > fi
    > start-stop-daemon --start --pidfile /dev/null --startas /bin/sh \
    > --oknodo --chuid man -- -c \
    > "find /var/cache/man -type f -name '*.gz' -atime +6 -print0 | \
    > xargs -r0 rm -f"
    > fi


    > # regenerate man database
    > if [ -x /usr/bin/mandb ]; then
    > # --pidfile /dev/null so it always starts; mandb isn't really a daemon,
    > # but we want to start it like one.
    > start-stop-daemon --start --pidfile /dev/null \
    > --startas /usr/bin/mandb --oknodo --chuid man \
    > -- --no-purge --quiet
    > fi


    > exit 0



    > How do I fix this? I am using Debian (Linux FooBar 2.6.14-2-k7 #1 Wed Dec 28 19:14:46 UTC 2005 i686 GNU/Linux) Thank you in advance.

    --
    "... Our world is not an ant farm!" --Duncan MacLeod (Highlander Season 3 Finale Part II)
    /\___/\
    / /\ /\ \ Phillip (Ant) @ http://antfarm.ma.cx (Personal Web Site)
    | |o o| | Ant's Quality Foraged Links (AQFL): http://aqfl.net
    \ _ / Please remove ANT if replying by e-mail.
    ( )

  5. Re: "Cron <root@FooBar> test -x /usr/sbin/anacron || run-parts --report /etc/cron.daily"


    wrote in message
    news8GdnUj9OP784AnZnZ2dnUVZ_vmdnZ2d@mminternet.net...
    >> > How come I keep getting these e-mail with cron errors daily? I have
    >> > been
    >> > getting them for over a month and daily
    >> > (Sundays -- I get two e-mails):

    >
    >> Look for a file that has a symlink, or a file that has the contents ".so
    >> man3x/" in /usr/share/man and /usr/X11R6/man.


    Read the manual page on the "find" command. This sort of command should work
    pretty well.

    find /usr/share/man -type l -print


    > $ du /usr/X11R6/
    > 8 /usr/X11R6/include/X11/pixmaps
    > 12 /usr/X11R6/include/X11
    > 16 /usr/X11R6/include
    > 8 /usr/X11R6/lib/X11/fonts/encodings/large
    > 16 /usr/X11R6/lib/X11/fonts/encodings
    > 4 /usr/X11R6/lib/X11/fonts/util
    > 1892 /usr/X11R6/lib/X11/fonts/misc
    > 76 /usr/X11R6/lib/X11/fonts/100dpi
    > 76 /usr/X11R6/lib/X11/fonts/75dpi
    > 20 /usr/X11R6/lib/X11/fonts/Speedo
    > 20 /usr/X11R6/lib/X11/fonts/Type1
    > 2112 /usr/X11R6/lib/X11/fonts
    > 2116 /usr/X11R6/lib/X11
    > 4 /usr/X11R6/lib/modules/drivers
    > 4 /usr/X11R6/lib/modules/extensions
    > 12 /usr/X11R6/lib/modules
    > 2492 /usr/X11R6/lib
    > 2512 /usr/X11R6/
    >
    >
    >> What do you get when you type "man Xau", or do a "locate /Xau | grep
    >> man"?

    >
    > $ man Xau
    > Reformatting Xau(3x), please wait...
    > Xau(3)
    > Xau(3)
    >
    > NAME
    > Xau library: XauFileName, XauReadAuth, XauLockAuth,
    > XauUnlockAuth, XauWriteAuth, XauDisposeAuth,
    > XauGetAuthByAddr, XauGetBestAuthByAddr - X authority database
    > routines
    >
    > SYNOPSIS
    > #include
    > ...
    >
    >
    > $ locate /Xau | grep man
    > /usr/share/man/man3/Xau.3x.gz
    > /usr/share/man/man3/XauDisposeAuth.3x.gz
    > /usr/share/man/man3/XauFileName.3x.gz
    > /usr/share/man/man3/XauGetAuthByAddr.3x.gz
    > /usr/share/man/man3/XauGetBestAuthByAddr.3x.gz
    > /usr/share/man/man3/XauLockAuth.3x.gz
    > /usr/share/man/man3/XauReadAuth.3x.gz
    > /usr/share/man/man3/XauUnlockAuth.3x.gz
    > /usr/share/man/man3/XauWriteAuth.3x.gz


    OK, we've got something to work with there. There's a way to write a man
    page that is entirely the contents of another man page, so that
    /usr/share/man/man3/XauGetBestAuthByAddr.3x.gz will provide what is
    effectively a symlink to the Xau.3x manpage. Take a look at the
    XauGetBestAuthByAddr.3x file and you'll see something like ".so
    man3x/Xau.3x". The makewhatis command that generates the fast lookup table
    for "man -k" commands is mis-handling it, and not realizing that it should
    and refer to the contents of "man3x/Xau.3x.gz"

    >> > How do I fix this? I am using Debian (Linux FooBar 2.6.14-2-k7 #1 Wed
    >> > Dec
    >> > 28 19:14:46 UTC 2005 i686 GNU/Linux) Thank you in advance.


    It looks like you found the actual bug and it's reported. I hope my
    explanation helps a bit to understand it.



+ Reply to Thread